/**
* PleaseReview Integration scripts allowing interaction between CARA UI and PleaseReview.
*/

/** 
* Open the PleaseReview Workgroup Admin Page within the current window
*/
function openPRWorkgroupAdmin(prBaseUrl, repository) {
	var uri = prBaseUrl + "/Admin/Workgroupmanagement.aspx?extsource=Documentum:" + repository;
	window.open(uri,'_self');
}

/** 
* Open the PleaseReview Distribution List Admin Page within the current window
*/
function openPRDistListAdmin(prBaseUrl, repository) {
	var uri = prBaseUrl + "/DistributionLists/DistListAdmin.aspx?extsource=Documentum:" + repository;
	window.open(uri,'_self');
}

/** 
* Open the PleaseReview My Custom Settings Page within the current window
*/
function openPRMySettings(prBaseUrl, repository) {
	var uri = prBaseUrl + "/admin/UserSettings.aspx?extsource=Documentum:" + repository;
	window.open(uri,'_self');
}

/** 
* Open the PleaseReview New Review Wizard Page within the current window
*/
function openPRNewReview(prBaseUrl, repository, extRefs) {
	var uri = prBaseUrl + "/Main/NewReview.aspx?extsource=Documentum:" + repository + extRefs;
	window.open(uri,'_self');
}

/** 
* Open the specified review within the current window
*/
function openPREnterReview(prBaseUrl, reviewId, participantId) {
	var uri = prBaseUrl + "/Main/Default.aspx?reviewid=" + reviewId + "&participantid=" + participantId + "&action=loaddocumentandquit";
	window.open(uri,'_self');
}

/** 
* Open the specified review's reconciliation report within the current window
*/
function openPRReconReport(prBaseUrl, repository, reviewId) {
	var uri = prBaseUrl + "/Reports/ReviewerReconcileReport.aspx?reviewid=" + reviewId + "&showlinks=false&extsource=Documentum:" + repository;
	window.open(uri,'_self');
}

/** 
* Open the specified review's control panel within the current window
*/
function openPRManageReview(prBaseUrl, reviewId, participantId) {
	var uri = prBaseUrl + "/Main/ManageReview.aspx?reviewid=" + reviewId + "&participantid=" + participantId;
	window.open(uri,'_self');
}